Get a webhook
Returns a single webhook by ID.
Endpoint
Section titled “Endpoint”HTTP method: GET
https://api.sender.net/v2/account/webhooks/{id}
Parameters
Section titled “Parameters”| Parameter | Type | Description |
|---|---|---|
id | string required | The webhook ID. |
Request Examples
Section titled “Request Examples”const url = new URL("https://api.sender.net/v2/account/webhooks/{id}");
let headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",};
fetch(url, { method: "GET", headers,}).then(response => response.json()).then(data => console.log(data)).catch(error => console.error('Error:', error));$client = new \GuzzleHttp\Client();$response = $client->get( 'https://api.sender.net/v2/account/webhooks/{id}', [ 'headers' => [ 'Authorization' => 'Bearer [your-token]', 'Content-Type' => 'application/json', 'Accept' => 'application/json', ], ]);
$body = $response->getBody()->getContents();$data = json_decode($body, true);print_r($data);import requestsimport json
url = "https://api.sender.net/v2/account/webhooks/{id}"
headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",}
response = requests.request('GET', url, headers=headers)
print(response.json())curl -X GET \-G "https://api.sender.net/v2/account/webhooks/{id}" \-H "Authorization: Bearer [your-token]" \-H "Content-Type: application/json" \-H "Accept: application/json"Response
Section titled “Response”{ "id": "mbkBva", "account_id": "Eqqve", "url": "https://webhook.site/da83f596-5bc3-48d3-8bab-f8203a5847af", "topic": "campaigns/new", "group": null, "total_deliveries": 116, "total_failures": 0, "response_time": 174, "status": "ACTIVE"}